<template>
    <div class="col-left">
        <div class="logo">
            <router-link to="#">
                <img
                    src="../../../assets/images/logo-blue.svg"
                    class="image-responsive"
                >
            </router-link>
        </div>
        <div class="login-form-container">
            <div class="login-form">
                <div class="add-app-block">
                    <div class="add-app-block-shopify">
                        Login with Shopify
                    </div>
                    <div class="add-app-block-trial-text">
                        Start your 30 days FREE trial
                    </div>
                </div>
                <a target="_blank"
                    class="add-app-btn"
                    href="https://accounts.shopify.com/store-login?redirect=%2Fadmin%2Foauth%2Fauthorize%3Fclient_id%3Dffcdc1c11e550c252f3d747ee2e30c39%26scope%3Dread_orders%2Cwrite_orders%2Cread_checkouts%2Cread_products%2Cread_script_tags%2Cwrite_script_tags%2Cread_fulfillments%26redirect_uri%3Dhttps%3A%2F%2Fapp.carti.io%2Fauth%2Fshopify%2Fcallback"
                >
                    Add app
                </a>
                <div class="login-or">
                    Or
                </div>
                <a
                    target="_blank"
                    href="https://apps.shopify.com/carti-recover-cart-abandonment"
                    class="login-shopify"
                >
                    <div class="login-shopify-subtitle">
                        find it on the
                    </div>
                    <div class="login-shopify-title">
                        Shopify App Store
                    </div>
                </a>
                 <a target="_blank"
                    href="https://www.wix.com/app-market/carti-abandoned-cart-recovery"
                    class="login-shopify login-wix"
                >
                    <div class="login-shopify-subtitle">
                        find it on the
                    </div>
                    <div class="login-shopify-title">
                        Wix app store
                    </div>
                </a>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "ColLeft"
}
</script>

<style scoped lang="scss">

.login-or {
    text-align: center;
    margin: 20px 0;
    color: black;
}

.login-form .login-shopify-subtitle {
    text-transform: uppercase;
    font-weight: bold;
    margin: 0;
}

.login-form .add-app-block-shopify {
    color: #2d77f4;
    font-weight: bold;
    font-size: 15px;
    margin-bottom: 5px;
}

a {
    text-decoration: none;
}

.login-form .add-app-block-trial-text {
    color: #6E9A52;
    font-weight: bold;
    font-size: 15px;
    margin: 0;
}

.login-form .login-shopify-title {
    text-transform: capitalize;
    font-weight: bold;
    font-size: 24px;
    margin: 0;
}

.login-form .login-shopify {
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
    padding: 15px 10px 15px 70px;
    font-size: 13px;
    line-height: 24px;
    margin-bottom: 20px;
    border: 1.5px solid rgba(211, 211, 211, 0.87);
    border-radius: 10px;
    color: black;
}

.login-form .login-shopify:before {
    position: absolute;
    left: 15px;
    top: 15px;
    content: '';
    width: 40px;
    height: 50px;
    background: url(../../../assets/images/shopify-icon-black.svg) no-repeat;
    background-size: 40px 50px;
}
.login-form .login-shopify.login-wix:before {
    background: url(/images/wix.svg) no-repeat;
    height: 50px;
    width: 50px;
    transform: translateX(-4px);
}
.add-app-btn {
    display: block;
    width: 100%;
    border-radius: 10px;
    background-color: #2d77f4bf;
    height: 50px;
    color: white;
    text-align: center;
    padding: 15px 0;
    line-height: 1;
}

.col-left {
    position: relative;
    float: left;
    width: 50%;
    background: #ffffff;
    padding: 60px;
    color: #b3b3b3;
    min-height: 100vh;
    @media screen and (max-width: 991px) {
        width: 100%;
        position: unset;
    }
    @media(max-width: 770px) {
        min-height: auto;
    }
}

.image-responsive {
    display: block;
    max-width: 100%;
    height: auto;
}

.login-form .add-app-block {
    padding: 0 30px 0 75px;
    position: relative;
    margin-bottom: 15px;
}

.login-form-container {
    width: 100%;
    height: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    justify-content: left;
    font-size: 16px;
}

.login-form {
    display: table;
    margin: 0 auto;
    width: 100%;
    max-width: 330px;
}

.login-form .add-app-block:before {
    position: absolute;
    left: 25px;
    top: 0;
    content: '';
    width: 36px;
    height: 45px;
    background: url(../../../assets/images/shopify-icon.png) no-repeat;
    background-size: 36px 45px;
}

</style>
